Package org.bukkit.block

# Interface SculkShrieker

All Superinterfaces:
  `BlockState`, `Metadatable`, `PersistentDataHolder`, `TileState`

public interface SculkShrieker extends TileState
Represents a captured state of a sculk shrieker.

## Method Summary

Modifier and Type
Method
Description
`int`
`getWarningLevel()`
Gets the most recent warning level of this block.
`void`
`setWarningLevel(int level)`
Sets the most recent warning level of this block.

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getDrops, getDrops, getDrops, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`

## Method Details

### getWarningLevel

int getWarningLevel()
Gets the most recent warning level of this block. When the warning level reaches 4, the shrieker will attempt to spawn a Warden.

Returns:
  current warning level

### setWarningLevel

void setWarningLevel(int level)
Sets the most recent warning level of this block. When the warning level reaches 4, the shrieker will attempt to spawn a Warden.

Parameters:
  `level` - new warning level